#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.6
visibility:           public
id:                   foldl-1.4.6-C3BeoZX6vY3G3WEjtEi8O5
key:                  foldl-1.4.6-C3BeoZX6vY3G3WEjtEi8O5
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  571c4779b2ff9cfffddb259ae6ba6390
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.8.1/site-local/foldl-1.4.6
library-dirs:         /usr/lib/ghc-8.8.1/site-local/foldl-1.4.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/foldl-1.4.6
hs-libraries:         HSfoldl-1.4.6-C3BeoZX6vY3G3WEjtEi8O5
depends:
    base-4.13.0.0 bytestring-0.10.9.0
    comonad-5.0.6-J1GYwepYiMm1OqJKe3R0Ba containers-0.6.2.1
    contravariant-1.5.2-2jV68Ctq1IVAc8M3y7yJKu
    hashable-1.2.7.0-Jxai6kzZTBkIQjxJHBmP5T
    mwc-random-0.14.0.0-4VPWIJT8R1M8zONmDJfks3
    primitive-0.7.0.0-BJKNB1CdxR09IS7Mq0RtDA
    profunctors-5.5.1-JOpulfCdVKMBlapccMslcz
    semigroupoids-5.3.4-74pYNRuYa0u4W7tPgmxkl1 text-1.2.4.0
    transformers-0.5.6.2
    unordered-containers-0.2.10.0-9ICZg3HcXJIzoexd54oj9
    vector-0.12.1.2-AUE2RejTPuTGt751uxPY7M
    vector-builder-0.3.8-F9t61uvczWyILXrPyhHGcs

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

